Microsoft Wedge Touch Mouse losing connection

Bug #1158462 reported by Anton Anikin on 2013-03-21
50
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Bluez Utilities
Fix Released
Medium
gnome-bluetooth (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

[Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
[Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
[Regression Potential] Little. The patched piece of XML is only relevant to hardware having the same ID.

Microsoft Wedge Touch Mouse losing connection after off-on switching or after sleeping after inactivity.
After this it has the connection switch in bluetooth applet in "off" postition and it is impossible to turn it on again.
The only solution is to remove the device and pair it again every time in this situation...

Ubuntu 13.04

Anton Anikin (anton-anikin) wrote :

Also, if I doing:

sudo hciconfig hci0 sspmode 0

the mouse reconnects without any problems.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Andrei Shevtsov (parad0x-ua) wrote :

Also happening in 12.10 (3.5.0-27-generic).

Till Kamppeter (till-kamppeter) wrote :

Bug 1094744 is probably the same problem.

Anton Anikin (anton-anikin) wrote :

it seems it works with 3.10 kernel... I will check it later for sure

Marcos Alano (mhalano) wrote :

Anton,

Any news? Kernel 3.10 is afected too?

Anton Anikin (anton-anikin) wrote :

Yes, it works fine but only if I pair the mouse with PIN 0000 with blueman-manager.
If I add the mouse with standard gnome bluetooth applet - it not provide ability to input 0000 PIN and the mouse added but not paired in this case.

Anton Anikin (anton-anikin) wrote :

So, I think the bluetooth applet should pair devices like mouses with PIN 0000 automatically to avoid such problems...

Marcos Alano (mhalano) wrote :

I think a workaround (and a path to a patch) is add a line such
<device oui="00:00:00" name="Microsoft Wedge Touch mouse" type="mouse" pin="0000"/>
In the file /usr/share/gnome-bluetooth/pin-code-database.xml (is part of gnome-bluetooth package).
Just need detect correct OUI value. I think is half value detected by applications such btscanner or bluetooth-wizard itself.

Please, let me know about updates.

Anton Anikin (anton-anikin) wrote :

The problem is that
in /usr/share/gnome-bluetooth/pin-code-database.xml
file that is part of gnome-bluetooth package there is NULL value for PIN for all mouses and some exception for Apple mouses with 0000 PIN codes.
So, if I add the Microsoft Wedge mouse oui in this file with 000 PIN code:

diff /usr/share/gnome-bluetooth/pin-code-database.xml /usr/share/gnome-bluetooth/pin-code-database.xml.bak
71,73d70
< <!-- Microsoft Wedge Mouse -->
< <device oui="7C:1E:52:" type="mouse" pin="0000"/>
<

everything works fine after that - mouse paired with bluetooth applet after adding automatically and everything works.

Anton Anikin (anton-anikin) wrote :

I have attached the patch

Anton Anikin (anton-anikin) wrote :

Added name="Microsoft Wedge Touch mouse" option in the patch

The attachment "patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in gnome-bluetooth (Ubuntu):
status: New → Confirmed
Changed in bluez:
importance: Unknown → Medium
status: Unknown → Incomplete
Daniel Holbach (dholbach) wrote :

The patch made it work on standard saucy.

no longer affects: bluez (Ubuntu)
no longer affects: bluez (Ubuntu Precise)
no longer affects: bluez (Ubuntu Quantal)
no longer affects: bluez (Ubuntu Raring)
Rouven Sacha (rouvensacha) wrote :

Works for me with the patch on precise under both kernel 3.8 and 3.10. Thanks a bunch!

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.8.1-2ubuntu2

---------------
gnome-bluetooth (3.8.1-2ubuntu2) saucy; urgency=low

  * debian/patches/99_add_microsoft_mice.patch: add Microsoft Sculpt/Wedge
    mouse (LP: #1094744, LP: #1158462). Thanks, Marcos Barbosa, Anton Anikin
    and Anthony Wong for the patch.
 -- Daniel Holbach <email address hidden> Mon, 05 Aug 2013 10:32:39 +0200

Changed in gnome-bluetooth (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-bluetooth (Ubuntu Precise):
status: New → Confirmed
Changed in gnome-bluetooth (Ubuntu Quantal):
status: New → Confirmed
Changed in gnome-bluetooth (Ubuntu Raring):
status: New → Confirmed

Hello Anton, or anyone else affected,

Accepted gnome-bluetooth into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-bluetooth/3.6.1-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-bluetooth (Ubuntu Raring):
status: Confirmed → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Anton, or anyone else affected,

Accepted gnome-bluetooth into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-bluetooth/3.6.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-bluetooth (Ubuntu Quantal):
status: Confirmed → Fix Committed
Changed in gnome-bluetooth (Ubuntu Precise):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Anton, or anyone else affected,

Accepted gnome-bluetooth into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-bluetooth/3.2.2-0ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Daniel Holbach (dholbach) wrote :

Brian: Rouven confirmed it works on precise in comment 15.

tags: added: verification-done-precise
Brian Murray (brian-murray) wrote :

Daniel - the SRU verification process requires that the package from -proposed be tested and verified.

https://wiki.ubuntu.com/StableReleaseUpdates#Verification

tags: removed: verification-done-precise
Changed in bluez:
status: Incomplete → Fix Released
Chris Halse Rogers (raof) wrote :

Could someone please test that the packages in -proposed fixes this bug? Verification of this is blocking the release of the fix for https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1094744

Changed in gnome-bluetooth (Ubuntu Raring):
status: Fix Committed → Won't Fix
Chris J Arges (arges) wrote :

I see the same changes were made in upstream gnome-bluetooth in v3.11.3: https://git.gnome.org/browse/gnome-bluetooth/commit/?id=0644b6572367b7c2691922a4d8f00578c7870696

And it also looks like there are no additional changes for this particular device in upstream or later released packages with this patch.

Chris J Arges (arges) on 2014-02-06
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.2.2-0ubuntu5.1

---------------
gnome-bluetooth (3.2.2-0ubuntu5.1) precise-proposed; urgency=low

  * debian/patches/99_add_microsoft_mice.patch: add Microsoft Sculpt/Wedge
    mouse (LP: #1094744, LP: #1158462). Thanks, Marcos Barbosa, Anton Anikin
    and Anthony Wong for the patch.
 -- Daniel Holbach <email address hidden> Mon, 05 Aug 2013 10:06:29 +0200

Changed in gnome-bluetooth (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-bluetooth has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.6.0-0ubuntu1.1

---------------
gnome-bluetooth (3.6.0-0ubuntu1.1) quantal-proposed; urgency=low

  * debian/patches/99_add_microsoft_mice.patch: add Microsoft Sculpt/Wedge
    mouse (LP: #1094744, LP: #1158462). Thanks, Marcos Barbosa, Anton Anikin
    and Anthony Wong for the patch.
 -- Daniel Holbach <email address hidden> Mon, 05 Aug 2013 11:05:20 +0200

Changed in gnome-bluetooth (Ubuntu Quantal):
status: Fix Committed → Fix Released
Francisco (editoria-francisco) wrote :

Microsoft Wedge Touch mouse not work in my Ubuntu 13.10 system.
It work fine with Windows Vista.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.